Subject: bug#72721: 31.0.50; Visual-wrap-prefix-mode breaks Magit log buffers

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Aug 2024 15:54:27 +0300

> Date: Wed, 21 Aug 2024 12:12:00 -0700
> From: Jim Porter <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> ... and here's a new test case (overlay-min-width). This shows that now 
> you can apply 'min-width' as an overlay property, which would be great 
> for 'visual-wrap-prefix-mode'. I could then convert that code to use 
> overlays (at least for 'min-width', maybe for 'wrap-prefix' too), which 
> would make it easier to clean up when deactivating the mode.

Doesn't adding support for overlays boils down to replacing
Fget_text_property in get_display_property with Fget_char_property,
and otherwise keeping the code intact?  display_min_width is the only
caller of get_display_property, so we can change that at will.